org.apache.ignite.internal.managers.discovery

## Class DiscoveryMessageResultsCollector.NodeMessage<M>

- java.lang.Object
- - org.apache.ignite.internal.managers.discovery.DiscoveryMessageResultsCollector.NodeMessage<M>

Enclosing class:
  DiscoveryMessageResultsCollector<M,R>

    protected static class DiscoveryMessageResultsCollector.NodeMessage<M>
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`M` `message()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### message

    @Nullable
    public M message()

Returns:
  Message or `null` if node failed.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018